plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {
    compileSdkVersion env.compileSdkVersion
    buildToolsVersion env.buildToolsVersion

    defaultConfig {
        minSdkVersion env.minSdkVersion
        targetSdkVersion env.targetSdkVersion
        versionCode 1
        versionName "1.0"

        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility env.jdk_version
        targetCompatibility env.jdk_version
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures{
        viewBinding = true
    }
}

dependencies {

    implementation project(':HttpCoreLibrary')

    api fileTree(dir: "libs", include: ["*.jar"])
    implementation dep.kotlinStdlib
    implementation dep.androidxCoreKtx
    implementation dep.androidxSwipeRefreshLayout

    implementation dep.androidxAppCompat
    implementation dep.androidMaterial
    implementation dep.RecyclerViewAdapterHelper

    implementation dep.eventbus

}